VerifyClass (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

- Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `execute()`
    `` | `void` | `setDir(String dir)`
    `` | `void` | `setVerbose(boolean v)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, createExcludesFile, setDefaultexcludes, createIncludesFile, addContainsRegexp, setCaseSensitive, setIncludes, setExcludes, addType, addDate, XsetItems, XsetIgnore, setFollowSymlinks, getSelectors, addSelector, setProject, createExclude, setIncludesfile, selectorElements, selectorCount, hasSelectors, appendSelector, addAnd, addOr, addNot, addSize, addNone, createPatternSet, addMajority, setExcludesfile, addFilename, addCustom, createInclude, addDifferent, addDepth, addPresent, addDepend, addModified, addContains, log, log, log, log, init, execute, getTaskName, perform, reconfigure, bindToOwner, setTaskName, maybeConfigure, setTaskType, getOwningTarget, getTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, clone, getLocation, getDescription, setDescription, getProject, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `log, log, log, log, init, execute, getTaskName, perform, reconfigure, bindToOwner, setTaskName, maybeConfigure, setTaskType, getOwningTarget, getTaskType, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, clone, getLocation, getDescription, setDescription, getProject, setLocation, setProject, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)